%define pypi_name sqlparse

Name:           python-sqlparse
Version:        0.1.18
Release:        %mkrel 2
Group:          Development/Python
Summary:        Non-validating SQL parser

License:        BSD
URL:            https://github.com/andialbrecht/sqlparse
Source0:        https://pypi.python.org/packages/source/s/sqlparse/sqlparse-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
 
BuildRequires:  python3-devel


%description
``sqlparse`` is a non-validating SQL parser module.
It provides support for
parsing, splitting and formatting SQL statements.


%package -n     python3-%{pypi_name}
Summary:        Non-validating SQL parser
Group:          Development/Python


%description -n python3-%{pypi_name}
``sqlparse`` is a non-validating SQL parser module.
It provides support for
parsing, splitting and formatting SQL statements.


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# generate html docs 
sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/sqlformat %{buildroot}/%{_bindir}/python3-sqlformat
popd

%py2_install


%files
%doc html README.rst
%{_bindir}/sqlformat
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%files -n python3-%{pypi_name}
%doc html README.rst
%{_bindir}/python3-sqlformat
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sat Feb 20 2016 umeabot <umeabot> 0.1.18-2.mga6
+ Revision: 972470
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 0.1.18-1.mga6
+ Revision: 898762
- update to 0.1.18

* Thu Oct 08 2015 tv <tv> 0.1.16-2.mga6
+ Revision: 887752
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Sun Aug 30 2015 philippem <philippem> 0.1.16-1.mga6
+ Revision: 871219
- imported package python-sqlparse

